using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System.Collections.Specialized;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Grouping;
using System.Threading;

namespace GGC_Grouping_Table
{   
    public partial class Form1 : Form
    {
        public Form1()
        {            
            InitializeComponent();
        }

        DataTable mTable;
        private void Form1_Load(object sender, EventArgs e)
        {
            mTable = GetTable();
            
            this.gridGroupingControl1.ChildGroupOptions.CaptionText = "{Category}";

            //grdWbsTask.TableDescriptor.GroupedColumns.Add("group");
            GridColumnDescriptor subTaskName = new GridColumnDescriptor();
            subTaskName.Name = "Col1";
            subTaskName.MappingName = "Col1";
            subTaskName.HeaderText = "1";
            this.gridGroupingControl1.TableDescriptor.Columns.Add(subTaskName);

            GridColumnDescriptor constantHours = new GridColumnDescriptor();
            constantHours.Name = "Col2";
            constantHours.MappingName = "Col2";
            constantHours.HeaderText = "2";
            this.gridGroupingControl1.TableDescriptor.Columns.Add(constantHours);

            this.gridGroupingControl1.DataSource = mTable;

            //this.gridGroupingControl1.DataSource = mTable;            
            
        }        
        # region DataTable
        public DataTable GetTable()
        {
            DataTable dt = new DataTable("Details");
            int nRows = 20;            
            for (int i = 0; i <8; i++)
            {
                dt.Columns.Add(new DataColumn("Col" + i));
            }

            Random r = new Random();
            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();                
                for (int j = 0; j < 8; j++)
                {
                    if (j == 0)
                    {
                        dr[j] = r.Next(1,4);
                    }                    
                    else if (j % 100 == 0 )
                    {
                        dr[j] = i / 50;
                    }
                    else if (j % 2 == 0)
                    {
                        dr[j] = r.Next(255) % 8;
                    }
                    else
                    {
                        dr[j] = r.Next(333) % 6;
                    }
                }
                dt.Rows.Add(dr);
            }
            return dt;
        }
        #endregion
    }
}